# The Docker image that will be used to build your app
image: alpine:latest
# Functions that should be executed before the build script is run
before_script:
  - apk add --update --no-cache python3 && ln -sf python3 /usr/bin/python
  - python3 -m ensurepip
  - pip3 install --no-cache --upgrade pip setuptools
    #- pip3 install sphinx
  - pip3 install -r requirements.txt
  - apk --no-cache add make
  - apk --no-cache add py-pygments
pages:
  script:
    - make html
    - mv build/html/ ./public/
  artifacts:
    paths:
      # The folder that contains the files to be exposed at the Page URL
      - public
  rules:
    # This ensures that only pushes to the default branch will trigger
    # a pages deploy
    - if: $CI_COMMIT_REF_NAME == $CI_DEFAULT_BRANCH

